<bugID>815537<Summary>Nested pauses triggered by watch expressions and conditional breakpoints are broken</Summary><Description>STR:

1) Got to http://htmlpad.org/debugger
2) 'Click me'
3) Add breakpoints at lines 11 and 35
4) Resume
5) Add the watch expression: a == test()
6) The following error is displayed in the console:

DBG-CLIENT: TypeError: this.currentEvaluation is null: SF__onFrames@chrome://browser/content/debugger-controller.js:538
EV_notify@resource://gre/modules/devtools/dbg-client.jsm:145
TC_fillFrames/&lt;@resource://gre/modules/devtools/dbg-client.jsm:946
DC_onPacket@resource://gre/modules/devtools/dbg-client.jsm:493
@chrome://global/content/devtools/dbg-transport.js:212</Description></bugID>